cURL
curl --request PUT \ --url https://api.backside.app/api/v1/tasks/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "deadline": "2023-12-25", "description": "<string>", "due_at": "2023-11-07T05:31:56Z", "due_date": "2023-12-25", "estimation_minutes": 123, "metadata": "<unknown>", "next_occurrence": "2023-11-07T05:31:56Z", "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "position": 123, "priority": "<string>", "rrule": "<string>", "section_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "snoozed_until": "2023-11-07T05:31:56Z", "start_date": "2023-12-25", "status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "time_spent_minutes": 123, "title": "<string>" } '
{ "created_at": "2023-11-07T05:31:56Z", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "metadata": "<unknown>", "position": 123, "priority": "<string>", "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "updated_at": "2023-11-07T05:31:56Z", "assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "canceled_at": "2023-11-07T05:31:56Z", "completed_at": "2023-11-07T05:31:56Z", "creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "deadline": "2023-12-25", "deleted_at": "2023-11-07T05:31:56Z", "description": "<string>", "due_at": "2023-11-07T05:31:56Z", "due_date": "2023-12-25", "estimation_minutes": 123, "identifier": "<string>", "next_occurrence": "2023-11-07T05:31:56Z", "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "rrule": "<string>", "section_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "snoozed_until": "2023-11-07T05:31:56Z", "start_date": "2023-12-25", "status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "time_spent_minutes": 123 }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Task ID
Was this page helpful?